Skip to main content
Channel Groups

Update an existing channel group

Update an existing channel group. This method requires the ChannelGroups:Update permission to be associated with your role.

PUT
/fm/channel/groups/{channel_group_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
channel_group_idstringrequired

Channel Group Id to update

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload

channel_group_codestringdefault:

A unique code for the channel group

Example: ABC
namestringdefault:
Example: ABC Pty Ltd
status_flagenum<string>default:active

Status of the new channel group

Available options: active, inactive
Example: active

Response

application/vnd.catch-e-api.v1+json

Success

bodyobject